decasify(1)

NAME
decasify - Convert prose strings to other cases following locale specific rule sets

SYNOPSIS
decasify [-l|--locale] [-c|--case] [-s|--style] [-O|--overrides] [-h|--help] [INPUT]

DESCRIPTION
Convert prose strings to other cases following locale specific rule sets.

Can convert input in any supported language from any case to any other case.

OPTIONS

-l, --locale=LOCALE [default: en]
    The locale of the input text Used to identify what language-specific handling needs to be done. This can affect how individual Unicode characters are coveted to other cases as well as change which style guides are considered.
    [possible values: en, tr]

-c, --case=CASE [default: title]
    The desired output case What case to convert to. Note the output *can* be affected by the input case, so in some cases (pun intended) you may need to to either process twice or avoid doing so depending on the expected result. For example title-casing in some English styles tries to preserve capitalized acronyms, but lower-casing does not. First converting to lower-case then to title-case would give a different result than directly to title-case.
    [possible values: lower, sentence, title, upper]

-s, --style=STYLE [default: default]
    Proffered style guide For languages with more than one style guide, this picks which set of guidelines to follow. Each language will have a default (typically the one we have the most robust implementation for or implemented first).
    [possible values: ap, cmos, gruber, default, tdk]

-O, --overrides=OVERRIDES
    Override words Override the output case of specific words regardless of what the casing function or style guide would normally do with them. The case used to specify these words is used in the output regardless of the target style or input case.

-h, --help
    Print help (see a summary with '-h')

[INPUT]
    The input string or strings (note STDIN also accepted) Note that all input arguments are processed together joined with a space, and STDIN streams are processed line by line. This can effect the output, for example if using sentence case the input should be on a single line, not broken across several.

AUTHORS
Caleb Maclennan <caleb@alerque.com>